#include <stdio.h>

int isPrime(int num) {
    if (num <= 1) return 0;
    int i;
    for (i = 2; i * i <= num; i++) {
        if (num % i == 0)
            return 0;
    }
    return 1; 
}

int main() {
    int a, b;
    scanf("%d %d", &a, &b);

    int count = 0, i;
    for (i = a; i <= b; i++) {
        if (isPrime(i)) {
            printf("%d  ", i);
            count++;
            if (count % 8 == 0)
                printf("\n");
        }
    }

    return 0;
}
